Function
move
Hands over content from one container to another container.
move(target, source)
Include Headers
seqan/basic.h
Parameters

target | A container source is moved to. Types: char array
source | A container that is moved to target.

Remarks
The function tries to hand over the contents of source to target. If this is possible, source looses its content and will therefore be empty after this operation. Otherwise, the function behaves like assign and source is copied to target.
See Also
moveSource, swap, assign, Move Switch, moveValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48